## Outward SideLoader

The Outward SideLoader is an API and a mod development toolkit for creating and editing custom content.

Please view the **[SideLoader Docs](https://sinai-dev.github.io/OSLDocs/#/)** for full documentation on SideLoader.

### Latest changes

#### 3.6.5

* Added `SL_Quest.OnQuestLoaded` helper event

#### 3.6.4

* Added `CustomQuests` C# helper for creating custom `QuestEvent`s
* Fixed a minor issue with `SL_QuestProgress` not creating the `QuestTree` graph correctly

#### 3.6.3

* Added `SL_Quest` and `SL_QuestProgress` (just small helpers, proper quest support requires manual C# code)

#### 3.6.2

* Added new Item templates: `SL_SelfFilledItemContainer`, `SL_Gatherable` and `SL_TreasureChest`
* Added new ItemSpawn template: `SL_ItemContainerSpawn`
* Added a method to `SL_DropTable` to turn it into a `Dropable` and apply it to a `GameObject`
* It is now possible to set custom item visuals on items which didn't have any original visuals, either by setting the ResourcesPrefabPath, or SL will create a new empty visual.
* Fixed a niche bug with `TemplateDependancySolver`
* Fixed `CustomKeybindings` trying to set up keybindings after they've already been set up (harmless log spam)

#### 3.6.1

* Fixed a bug with custom SkillTree icons not being loaded until hovered over

#### 3.6.0

* Added C# `AnimationOverride` and `CustomAnimations` classes for custom animation override support.

### Installation (manual)

For a manual installation, do the following

1. Create the folder(s): `Outward\BepInEx\plugins\SideLoader\`.
2. Extract the archive into a folder. **Do not extract into the Outward game folder.**
3. Move the contents of the `plugins\` folder from the archive into the `BepInEx\plugins\SideLoader` folder you created.
3. It should look like `Outward\BepInEx\plugins\SideLoader\SideLoader.dll`, etc
4. Launch the game, you should see a new keybinding in your in-game keybindings for the SideLoader menu.